using Microsoft.Xna.Framework;

namespace Kav.Data
{
    public struct MeshSpriteDrawData 
    {
        public MeshSprite MeshSprite { get; }
        public SpriteBillboardConstraint BillboardConstraint { get; }
        public Matrix TransformMatrix { get; }
        public UVOffsets UVOffsets { get; }

        public MeshSpriteDrawData(
            MeshSprite meshSprite,
            SpriteBillboardConstraint billboardConstraint,
            Matrix transformMatrix,
            UVOffsets uVOffsets
        ) {
            MeshSprite = meshSprite;
            BillboardConstraint = billboardConstraint;
            TransformMatrix = transformMatrix;
            UVOffsets = uVOffsets;
        }
    }
}
