using Microsoft.Xna.Framework;

namespace Kav.Data
{
    public struct UVOffsets
    {
        public static UVOffsets Default { get; } = new UVOffsets(
            new Vector2(0, 0), new Vector2(1, 1)
        );
        
        // (start / width), (end / width)
        public Vector2 StartUV { get; }
        // (start / height), (end / height)
        public Vector2 EndUV { get; }

        public UVOffsets(Vector2 startUV, Vector2 endUV)
        {
            StartUV = startUV;
            EndUV = endUV;
        }
    }
}
